<div class="legacytad">
    <app-content-banner [isDashboard]="false" [isTutorialRequired]="false" [TutorialPageName]="'tad-submission'" pageName="Legacy TADS"></app-content-banner>
        <mat-card class="legacytad-main-card mat-elevation-z0">

            <mat-card-content>
                
                      <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
                        <form [formGroup]="legacyTadGroup">
                            <p class="required-label-color info">Please enter the following information and click Submit in order to proceed.</p>
                          <section class="form-section regular-mat-form-field" fxLayout="column">
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100 *ngIf="is_CAS">
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                  <mat-label class="blue-label">Agency:</mat-label>
                                  <mat-form-field appearance="outline">
                                    <mat-select formControlName="agencyCtrl">
                                      <mat-option [value]="0">Select One</mat-option>
                                      <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyId" (onSelectionChange)="refershSites(agency.agencyId)">
                                          {{ agency.agencyNo }} - {{ agency.agencyName }}
                                      </mat-option>
                                    </mat-select>
                                  </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                              
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100 *ngIf ="is_SH_HP">
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                  <mat-label class="blue-label">Agency:</mat-label>
                                  <mat-label class="agency-label">{{selectedAgencyNo}} -{{selectedAgencyName}} </mat-label>
                                  
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                              
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Site:</mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="siteCtrl">
                                    <mat-option [value]="0">Select One</mat-option>
                                    <mat-option *ngFor="let site of siteList" [value]="site.siteNo">
                                      {{ site.siteNo }} - {{ site.siteName }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                
                              </div>
                            </div>
                            
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                                <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                  <mat-label class="blue-label">Report Year:</mat-label>
                                  <mat-form-field appearance="outline">
                                    <mat-select formControlName="reportYearCtrl">
                                      <mat-option [value]="0">Select One</mat-option>
                                      <mat-option *ngFor="let reportyear of reportYearList" [value]="reportyear.legacyTadYear">
                                        {{ reportyear.legacyTadYear }}
                                      </mat-option>
                                    </mat-select>
                                  </mat-form-field>
                                </div>
                                <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                  
                                </div>
                              </div>

                              <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                                  <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                    <mat-label class="blue-label">Report Month:</mat-label>
                                    <mat-form-field appearance="outline">
                                      <mat-select formControlName="reportMonthCtrl">
                                        <mat-option [value]="0">Select One</mat-option>
                                        <mat-option *ngFor="let reportmonth of reportmonthList" [value]="reportmonth.leagcyTadMonth">
                                            {{ reportmonth.leagcyTadMonthName }}
                                          </mat-option></mat-select>
                                    </mat-form-field>
                                  </div>
                                  <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                    
                                  </div>
                                </div>

                                <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                      <mat-label class="blue-label">Report Type:</mat-label>
                                      <mat-form-field appearance="outline">
                                        <mat-select formControlName="reportTypeCtrl">
                                          <mat-option [value]="0">Select One</mat-option>
                                          <mat-option *ngFor="let reporType of reportTypelist" [value]="reporType.TADType">
                                            {{ reporType.Description }}
                                          </mat-option>
                                        </mat-select>
                                      </mat-form-field>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                                      
                                    </div>
                                  </div>
                            <div class="btn-section" fxLayout="row">
                              <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="start">
                                <button type="button" mat-raised-button (click)="onClearClick()" color="warn">Clear</button>
                              </span>
                              <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
                                <button type="button" mat-raised-button (click)="onSubmitClick()" color="primary">Submit</button>
                                <!-- <button type="button" mat-raised-button (click)="onClearClick()" color="warn">Clear</button> -->
                                <button type="button" mat-raised-button (click)="onExitClick()" color="primary">Exit</button>
                              </span>
                            </div>
                          </section>
                        
                        </form>
                      </div>
                
              </mat-card-content>
         
        </mat-card>
      </div>
